#check the sequence quality-
module avail
module load fastqc/0.11.8

mkdir fastqc_results

mkdir fastqc_results
fastqc -o fastqc_results/ Test01_L001_R1_001.fastq
fastqc -o fastqc_results/ Test01_L001_R2_001.fastq


#pick_OTUs uisng QIIME software- 97% percent identity and 500 bp lenght
#module load qiime/1.8.0

#from a reference database-
#pick_closed_reference_otus.py -i parabasalia_ssurna.fasta -r pr2_version_4.11.0_mothur.fasta -o closed_reference_output/ -t pr2_version_4.11.0_mothur.tax.txt

#user defined database-
#pick_closed_reference_otus.py -i parabasalia_ssurna.fasta -r reference_database.fasta -o closed_reference_strassert_etal/

#cleaning the results-
cd /home/j/jigyasa-arora/skillpill_plus/closed_reference_strassert_etal/uclust_ref_picked_otus
cat parabasalia_ssurna_clusters.uc | sed '/^#/d' | awk 'BEGIN {print "Type\tClusterNr\tSeq_Length\tPercentIdentity\tStrand\tQuery_Start\tSeed_Start\tAlignment\tQuery_Label\tTarget_Label"} {print}' > parabasalia_ssurna_clusters_reformated.uc


#taxonomy using BLAST search - 500 bp length, e-value e^-5
module avail
module load ncbi-blast/2.7.1+

mkdir taxonomy_analysis

#make reference file-
makeblastdb -in reference_database.fasta -out reference_database.fasta -dbtype nucl

#run blast search-
#blastn -db reference_database.fasta -query parabasalia_ssurna.fasta -outfmt 6 -evalue 1.0e-5 -out blast_hit.txt

#percent identity-
blastn -db reference_database.fasta -query parabasalia_ssurna.fasta -outfmt 6 -evalue 1.0e-5 -perc_identity 95 -out taxonomy_analysis/blast_hit_pident95.txt

#cleaning the output file-
awk 'BEGIN {print "Query_ID\tReferenceID\tPercentMatch\tAlignLength\tNo.ofMismatches\tGap_open\tQuery_start\tQuery_end\tReference_start\tReference_end\tE-value\tBitscore"} {print}' blast_hit_pident95.txt > blast_hit_pident95_named.txt

#adding taxonomy-
#copy the reference file to taxonomy_analysis folder-
cp ../reference_database.fasta .
#extract out the reference sequence IDs-
grep ">" reference_database.fasta > reference_names.txt
sed 's/>//g' reference_names.txt > reference_names.2.txt

#open an R terminal-
R
query<-read.csv("blast_hit_pident95.2.txt",header=TRUE,sep="\t")
head(query)
reference<-read.csv("reference_names.2.txt", header=FALSE,sep=" ")
head(reference)
query_taxonomy<-merge(query,reference,by.x="ReferenceID",by.y="V1")
#write the output file back to the folder
write.table(query_taxonomy,file="parabasalid_18S_taxonomy.txt",sep="\t")
quit()
