#ask for space on compute-
srun --partition=compute --mem-per-cpu=1G -c 15 --ntasks=1 --pty bash


grep ">" 16S.fas
grep -c ">" 16S.fas

cp /work/spp_dec2018/Day2/7.phylogeny_termites/*.fas .

module load mafft/7.305
#global alignment is prefered for phylogenetics
mafft --maxiterate 1000 --globalpair 16S.fas > 16S.aligned.fas

#in MEGA-
aligned->edit/build alignment-> retrieve sequence from file->select the file

#To get the alignment of protein coding nucleotide sequences (eg- ND3, COI) using codon positions-
##1.
#to translate the nucleotide sequence to protein-
module load emboss/6.6.0

transeq -table 5 -sequence ND3.fas -outseq ND3.protein.fas
#table 5 -> open reading from specified for invertebrate mtDNA. check using "transeq -h"
transeq -table 5 -sequence COI.fas -outseq COI.protein.fas

#2.
#align-
mafft --maxiterate 1000 --globalpair ND3.protein.fas > ND3.protein.aligned.fas
mafft --maxiterate 1000 --globalpair COI.protein.fas > COI.protein.aligned.fas

#3.
#align the protein and nucleotide sequences of ND3-
perl '/work/spp_dec2018/Day2/7.phylogeny_termites/Programs/pal2nal.pl' ND3.protein.aligned.fas ND3.fas -codontable 5 -output fasta > ND3.protein_nucleotide.fas
# this will ensure that gaps in nucleotide sequences corresponds to the codons in protein coding sequences file.

perl '/work/spp_dec2018/Day2/7.phylogeny_termites/Programs/pal2nal.pl' COI.protein.aligned.fas COI.fas -codontable 5 -output fasta > COI.protein_nucleotide.fas

#4.
#concatenate the protein coding genes together
mkdir forconcat
cp ND3.protein_nucleotide.fas forconcat/
cp COI.protein_nucleotide.fas forconcat/
cp 16S.aligned.fas forconcat/

#FasconCat to  concatenate files-
perl '/work/spp_dec2018/Day2/7.phylogeny_termites/Programs/FASconCAT-G_v1.04.pl' -s

less FcC_supermatrix.fas # the three files are not concatenated, as the COI and ND3 fasta headers have .1 in accession numbers! Instead the program adds "N" to the final sequence file.

grep -o "_1" ND3.protein_nucleotide.fas #the occurances of "_1" per line. as -c counts the total occurances.
sed -i 's/_1//' ND3.protein_nucleotide.fas
sed -i 's/_1//' COI.protein_nucleotide.fas

#rerun the perl script-
perl '/work/spp_dec2018/Day2/7.phylogeny_termites/Programs/FASconCAT-G_v1.04.pl' -s

#output:
16S.aligned:    Site Pos.1 to 727
COI.protein_nucleotide: Site Pos.728 to 1531
ND3.protein_nucleotide: Site Pos.1532 to 1885

less FcC_supermatrix.fas #the concatenated alignment

#5.
#partionfinder- generate a .cfg  file
cp /work/spp_dec2018/Day2/7.phylogeny_termites/Sandbox_BUCEK/partition_finder.cfg . #this will be used for partition finder
cp /work/spp_dec2018/Day2/7.phylogeny_termites/Sandbox_BUCEK/ForConcatenation/partitioning_scheme.txt . #generated from partition finder, will be used for RAxMl
#partitioning_scheme.txt-adds the length of genes concatenated together.

#6. RAxML phylogenetic tree-
module load raxml/8.1.18
raxmlHPC-PTHREADS-SSE3 -T 15 -f a -s forconcat/FcC_supermatrix.fas -n TermiteTree -x 6907 -# 500 -q partitioning_scheme.txt -m GTRGAMMA -p 4893

less RAxML_bipartitions.TermiteTree #output file
#copy this file to Figtree, root on Locusta_migratoria



